Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath.xml
Interface ProblemListener

All Known Implementing Classes:
  ProblemListenerDefault

public interface ProblemListener

This is the interface that the XSL processor calls when it has a problem of some kind, either an error or a warning. Users should ass the XSLTEngineImpl class to setProblemListener if they wish an object instance to be called when a problem event occurs.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static short` | `ERROR`
`static short` | `MESSAGE`
`static short` | `QUERYENGINE`
`static short` | `WARNING`
`static short` | `XMLPARSER`
`static short` | `XPATHPARSER`
`static short` | `XPATHPROCESSOR`
`static short` | `XSLPROCESSOR`

Method Summary
`boolean` | `message(java.lang.String msg)` Function that is called to issue a message.
`boolean` | `problem(short where, short classification, java.lang.Object styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg, java.lang.String id, int lineNo, int charOffset)` Function that is called when a problem event occurs.

Field Detail

### WARNING

    public static final short WARNING

### ERROR

    public static final short ERROR

### MESSAGE

    public static final short MESSAGE

### XMLPARSER

    public static final short XMLPARSER

### XSLPROCESSOR

    public static final short XSLPROCESSOR

### QUERYENGINE

    public static final short QUERYENGINE

### XPATHPROCESSOR

    public static final short XPATHPROCESSOR

### XPATHPARSER

    public static final short XPATHPARSER

Method Detail

### problem

    public boolean problem(short where,
                           short classification,
                           java.lang.Object styleNode,
                           org.w3c.dom.Node sourceNode,
                           java.lang.String msg,
                           java.lang.String id,
                           int lineNo,
                           int charOffset)

  Function that is called when a problem event occurs.

  Parameters:
    `where` - Either and XMLPARSER, XSLPROCESSOR, or QUERYENGINE.
    `classification` - Either ERROR or WARNING.
    `styleNode` - The style tree node where the problem occurred. May be null.
    `sourceNode` - The source tree node where the problem occurred. May be null.
    `msg` - A string message explaining the problem.
    `lineNo` - The line number where the problem occurred, if it is known. May be zero.
    `charOffset` - The character offset where the problem, occurred if it is known. May be zero.
  Returns:
    true if the return is an ERROR, in which case exception will be thrown. Otherwise the processor will continue to process.

### message

    public boolean message(java.lang.String msg)

  Function that is called to issue a message.

  Parameters:
    `msg` - A string message to output.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD